@openvireo/sdk - v1.0.0
    Preparing search index...

    Interface DeletionPreviewJson

    What deleting the account will do (GET /me/deletion, SPEC.md §23).

    interface DeletionPreviewJson {
        blocked: boolean;
        orgs: {
            id: string;
            members: { email: string; id: string; role: OrgRole }[];
            name: string;
            outcome: "leave" | "delete" | "blocked";
            role: OrgRole;
        }[];
        scheduled_for: string
        | null;
        share_links: number;
        subscription:
            | {
                manage?: BillingManage;
                period_end: string
                | null;
                plan: string;
                source?: BillingSource;
            }
            | null;
        vaults: {
            encrypted_name: string;
            id: string;
            shared_with: {
                display: string
                | null;
                principal: string;
                role: VaultRole;
            }[];
        }[];
        would_erase_on: string;
    }
    Index
    blocked: boolean
    orgs: {
        id: string;
        members: { email: string; id: string; role: OrgRole }[];
        name: string;
        outcome: "leave" | "delete" | "blocked";
        role: OrgRole;
    }[]
    scheduled_for: string | null
    share_links: number
    subscription:
        | {
            manage?: BillingManage;
            period_end: string
            | null;
            plan: string;
            source?: BillingSource;
        }
        | null

    source and manage are missing on servers older than In-App Purchase (read them as stripe / website)

    vaults: {
        encrypted_name: string;
        id: string;
        shared_with: { display: string | null; principal: string; role: VaultRole }[];
    }[]
    would_erase_on: string